Pterodactyldocs
Admin A P I

List extensions

Returns discovered extensions, invalid manifests, and their install state.

GET/api/admin/extensions
AuthorizationBearer <token>

Application API requests require an application API token, or a client API token, that belongs to a root administrator. Admin API requests require a client API token that belongs to a root administrator, and reject application API tokens. Client API requests require a client API token.

In: header

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/api/admin/extensions"
{  "data": [    {      "id": "example-extension",      "name": "Example Extension",      "version": "1.0.0",      "description": "Example extension",      "author": "Pterodactyl",      "provider": "ExampleExtension\\Provider",      "has_ui": true,      "ui_entry": "dist/client.js",      "ui_mode": "native",      "frontend_entry": "/assets/extensions/example-extension/client.js?v=100",      "installed": true,      "enabled": true,      "state": "enabled",      "error": null    }  ],  "meta": {    "enabled": true,    "directory": "/var/www/pterodactyl/extensions"  }}